TODO
Evaluate if the download dance we do today is really worth it.
Detect if we already have the file in question
Make it do the right thing for a folder (aka targetting a whole case instead of one file)
 - Make it report on size to download, etc
Replace the sleep(5) with something more robust
Redo do_stuff_in_vm to pull more tools via git or something else.
Make it handle more than one file (at all)
APPARMOR tar/xsos, other processes that process untrusted data for another level of protection.
Add robustness to profile around networking
Modify it so it creates it own profile 'sp' and inherits things from default - or just applies both default and sp.


Setup test environment:
1. mkdir 1010101
2. Generate a sosreport and put in that directory
3. Use that as the line for ./sp.py /home/bryan/1010101/sosreport-cavebox-20180330101241.tar.xz
